#pragma once
#include "Thing.h"

namespace Passer {
namespace RoboidControl {

class RemoteParticipant {
public:
  const char *ipAddress = "0.0.0.0";
  int port = 0;

  unsigned char networkId = 0;

  RemoteParticipant();
  RemoteParticipant(const char *ipAddress, int port);

protected:
  std::list<Thing *> things;

public:
  Thing *Get(unsigned char networkId, unsigned char thingId);
  void Add(Thing *thing);
  void Remove(Thing *thing);
  void UpdateAll(unsigned long currentTimeMs);
};

} // namespace Control
} // namespace Passer